[CentOS] gcc 4.1 and OpenMP?

Davide Cittaro davide.cittaro at ifom-ieo-campus.it
Mon Jan 12 20:48:42 UTC 2009


I was modifying a source to add OpenMP capabilities. I knew that gcc  
supports OpenMP since version 4.2, so I've compiled a recent (4.3.2)  
gcc and installed in my home directory, this because gcc shipped with  
CentOS 5.2 is 4.1.
I've then noticed that my executable links /usr/lib64/libgomp.so,  
installed with gcc 4.1 from CentOS rpms... Is CentOS default compiler  
OpenMP ready? Does this mean I don't have to compile my own compiler?

Thanks

d
	
Davide Cittaro
davide.cittaro at ifom-ieo-campus.it





More information about the CentOS mailing list